id: wordpress-antispam-bee

info:
  name: Antispam Bee Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/antispam-bee/
  metadata:
    plugin_namespace: antispam-bee
    wpscan: https://wpscan.com/plugin/antispam-bee
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/antispam-bee/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/antispam-bee.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100edf82eee485da7463fa49db15ab5ba5c338b073015e05b6443043a41bc64393902204845b020eab9298ac7611addf5df7255758bb4c58259e21065ac89ab869f7412:922c64590222798bb761d5b6d8e72950